$white: #fff;
$dark-gray-500: #666;

@import '../../../../lib/X_vars';


.components-wpez-blocks-button-group-color-combos{

	&__wrapper{

		span{
			display: block
		}

		&.columns-1{
			.wpez-btn-wrapper{
				display: block
			}
		}

		// TODO - mixin
		&.columns-2{
			.wpez-btn-wrapper{
				width: 50%;
				display: inline-block
			}
		}

		&.columns-3{
			.wpez-btn-wrapper{
				width: 33.33%;
				display: inline-block
			}
		}

		&.columns-4{
			.wpez-btn-wrapper{
				width: 25%;
				display: inline-block
			}
		}

		&.columns-5{
			.wpez-btn-wrapper{
				width: 20%;
				display: inline-block
			}
		}

		&.orientation-portrait{

			.components-button-group{
				width: 100%
			}

			button.is-button{
				height: auto;
				padding-right: 0.2em;
				padding-bottom: 0.1em
			}

			button.is-button.is-primary .component-color-indicator,
			button.is-button .component-color-indicator{
				display: block;
			}

			.is-button.is-large .wpez-btn-text{
				display: none
			}
		}

		.components-button{
			&.is-button:first-child,
			&.is-button.is-large,
			&.is-button:last-child {
				border-radius: 3px
			}
		}

	.components-button{
		background-color: $white;
		padding-left: .1em;
		padding-right: .3em;
		margin-bottom: .5em;
		display: inline-block
	}

	.is-button.is-large{
		height: auto;
		line-height:0;
	}

	.is-button.is-large .component-color-indicator{
		height: 28px;
		width: 28px;
		border-radius: 50%;
		margin-top: .4em;
		margin-right: .2em;
		margin-bottom: .3em;
		margin-left: .3em;
		border: 0px;
		display: inline-block;
		position: relative;
	}

	.is-button.is-large .component-color-indicator:after{
	content: "";
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    border-radius: 50%;
	box-shadow: inset 0 0 0 1px rgba(0,0,0,.2);
	}

	.is-button.is-large .wpez-btn-text{
		display: inline-block;
		vertical-align: text-top;
		margin: -.4em .3em 0 .7em
	}

	.is-button.is-large.is-primary .component-color-indicator{
		// border: 2px solid $grey-md;
	}

	.is-button.is-large.is-primary:hover .component-color-indicator,
	.is-button.is-large:hover .component-color-indicator{
		transform: scale(1.2);
		transition: transform .15s ease;
	}

	.is-button:focus,
	.is-button.is-primary{
		@extend %primary;

		.component-color-indicator{
		transform: scale(1.2);
		}

	}

	.is-button:hover{
		@extend %hover;


	}
}
	&__label{
		display: block
	}
}

.components-coblocks-orientation {
	&__label {
		display: block;
		margin-bottom: 6px;
	}

	&__help {
		font-style: italic;
	}

	.components-button-group {
		margin-bottom: 4px;

		.is-primary + .is-primary {
			border-left: 1px solid rgba(#fff, 0.2);
		}
	}

	.components-button-group .components-button {
		appearance: none;
		background: $white;
		border: 1px solid #8d96a0;
		box-shadow: none;
		color: $dark-gray-500;
		height: 33px;
		line-height: 32px;
		margin: 0;
		padding-left: 10px;
		padding-right: 10px;

		@media (max-width: 782px) {
			height: 40px;
			padding-left: 17px;
			padding-right: 17px;
		}

		@media (max-width: 514px) {
			padding-left: 10px;
			padding-right: 10px;
		}

		&:hover {
			border-color: $dark-gray-500;
			box-shadow: none;
			color: #191e23;
		}

		&:active:enabled {
			background: $white;
			box-shadow: none;
		}

		&:focus:enabled {
			background: $dark-gray-500 !important;
			border-color: $dark-gray-500;
			box-shadow: 0 0 0 0 $dark-gray-500, inset 0 0 0 1px #fff;
			color: $white !important;
			outline: 2px solid transparent;
			outline-offset: -2px;
		}

		&.is-primary {
			background: $dark-gray-500;
			border-color: $dark-gray-500;
			color: $white;
			z-index: 1;

			&:focus,
			&:active:enabled {
				box-shadow: 0 0 0 0 $dark-gray-500, inset 0 0 0 1px #fff;
				outline: 2px solid transparent;
				outline-offset: -2px;
			}

			&:active:enabled {
				background: $dark-gray-500 !important;
			}
		}

		&.is-button:first-child {
			border-radius: 4px 0 0 4px;
		}

		&.is-button:last-child {
			border-radius: 0 4px 4px 0;
		}

		svg {
			fill: currentColor;
		}
	}
}
